import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { PeriodiskRedovisningViewComponent } from './periodisk-redovisning-view.component';
import { PeriodiskRedovisningViewService } from './periodisk-redovisning-view.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('GemensamPlaneringViewComponent', () => {
  let component: PeriodiskRedovisningViewComponent;
  let fixture: ComponentFixture<PeriodiskRedovisningViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [PeriodiskRedovisningViewComponent, LayoutComponent],
      imports: [RouterTestingModule, HttpClientTestingModule, ApmModule],
      providers: [PeriodiskRedovisningViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PeriodiskRedovisningViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
